// creator  : weidu.exe (version 23100)
// argument : RERAK01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~RERAK01~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #51616 /* ~Good tidings, friend? What brings you down this way?~ */
  IF ~~ THEN REPLY #51618 /* ~The pull of adventure, sir.~ */ GOTO 1
  IF ~~ THEN REPLY #51621 /* ~Nothing that would concern you.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.1 0.0
  SAY #51622 /* ~Wait... you seem familiar. Would you, perchance, be the fabled <CHARNAME>? Truly, good <PRO_SIRMAAM>, your deeds are well known all through the Sword Coast.~ */
  IF ~~ THEN REPLY #51628 /* ~I am indeed <CHARNAME>. You have heard of me then?~ */ GOTO 2
  IF ~CheckStatLT(LastTalkedToBy,14,CHR)
~ THEN REPLY #51630 /* ~You are mistaken, friend. I am not this <CHARNAME> that you speak of.~ */ GOTO 3
  IF ~CheckStatGT(LastTalkedToBy,13,CHR)
~ THEN REPLY #51631 /* ~You are mistaken, friend. I am not this <CHARNAME> that you speak of.~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #51640 /* ~Oh yes, <CHARNAME>! We have heard of you. In fact we have been sent to... deal with you.~ */
  IF ~~ THEN REPLY #51645 /* ~What do you imply?~ */ GOTO 5
  IF ~~ THEN REPLY #51660 /* ~Hah! A brigand in disguise!~ */ GOTO 5
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #51661 /* ~No, I am quite sure that you are <CHARNAME>. We have been sent to... deal with you.~ */
  IF ~~ THEN REPLY #51663 /* ~What do you imply?~ */ GOTO 5
  IF ~~ THEN REPLY #51664 /* ~Hah! A brigand in disguise!~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 1.2
  SAY #51721 /* ~Is that so? Perhaps I am mistaken. Carry on, <PRO_SIRMAAM>. You are not the one that we seek.~ */
  IF ~~ THEN DO ~SetGlobal("RerakFight","GLOBAL",2)
~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.1 3.0 2.1 2.0
  SAY #51726 /* ~You must be captured, <CHARNAME>. Someone desires your presence very badly. It is time.~ */
  IF ~~ THEN DO ~SetGlobal("RerakFight","GLOBAL",1)
~ EXIT
END

IF ~False()~ THEN BEGIN 6 // from:
  SAY #51736 /* ~My brothers! Cast thy spells and bring this encounter to a close.~ */
  IF ~~ THEN EXIT
END
